%define upstream_name    Dir-Self
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A __DIR__ constant for the directory your source file is in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dir/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildArch:  noarch

%{?perl_default_filter}

%description
Perl has two pseudo-constants describing the current location in your
source code, '__FILE__' and '__LINE__'. This module adds '__DIR__', which
expands to the directory your source file is in, as an absolute pathname.

This is useful if your code wants to access files in the same directory,
like helper modules or configuration data. This is a bit like the FindBin
manpage except it's not limited to the main program, i.e. you can also use
it in modules. And it actually works.

As of version 0.10 each use of '__DIR__' recomputes the directory name;
this ensures that files in different directories that share the same
package name get correct results. If you don't want this, 'use Dir::Self
qw(:static)' will create a true '__DIR__' constant in your package that
contains the directory name at the point of 'use'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.110.0-11.mga9
+ Revision: 1803013
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-10.mga8
+ Revision: 1494046
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-9.mga7
+ Revision: 1267283
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-8.mga6
+ Revision: 1025804
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-7.mga6
+ Revision: 948551
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 787984
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 747938
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.110.0-4.mga5
+ Revision: 735618
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 684373
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 534049
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 476098
- update to 0.11

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 365964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 28503
- mageia rebuild
- imported package perl-Dir-Self

